﻿using ProjectTrolleybus.CollectionGenericObjects;
using System.Runtime.Serialization;

namespace ProjectTrolleybus.Exceptions;

internal class CollectionAlreadyExistsException : ApplicationException
{
    public CollectionAlreadyExistsException(CollectionInfo collectionInfo) : base("В коллекции уже есть такой элемент: " + collectionInfo) { }
    public CollectionAlreadyExistsException() : base() { }
    public CollectionAlreadyExistsException(string message) : base(message) { }
    public CollectionAlreadyExistsException(string message, Exception exception) : base(message, exception) { }
    protected CollectionAlreadyExistsException(SerializationInfo info, StreamingContext context) : base(info, context) { }
}
